Package picard.arrays

# Class CollectArraysVariantCallingMetrics.ArraysControlCodesSummaryMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.arrays.CollectArraysVariantCallingMetrics.ArraysControlCodesSummaryMetrics

Enclosing class:
  CollectArraysVariantCallingMetrics

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class CollectArraysVariantCallingMetrics.ArraysControlCodesSummaryMetrics extends htsjdk.samtools.metrics.MetricBase

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`CATEGORY`
Grouping categories for controls.
`String`
`CONTROL`
Various control intensities that are present on the infinium chips.
`int`
`GREEN`
The green intensity value for the control.
`int`
`RED`
The red intensity value for the control.

## Constructor Summary

Constructors
Constructor
Description
`ArraysControlCodesSummaryMetrics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFileExtension()`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONTROL

public String CONTROL
Various control intensities that are present on the infinium chips.

See Also:
  - `ArraysControlInfo.CONTROL_INFO`

### CATEGORY

public String CATEGORY
Grouping categories for controls.

### RED

public int RED
The red intensity value for the control.

### GREEN

public int GREEN
The green intensity value for the control.

## Constructor Details

### ArraysControlCodesSummaryMetrics

public ArraysControlCodesSummaryMetrics()

## Method Details

### getFileExtension

public static String getFileExtension()